Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ConverterCollections.ConverterSet

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.ConverterCollections.ConverterCollection
com.tangosol.util.ConverterCollections.ConverterSet`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

Direct Known Subclasses:
  ConverterCollections.ConverterSortedSet, WrapperSelector.KeySet

Enclosing class:
  ConverterCollections

      public static class ConverterCollections.ConverterSet

extends ConverterCollections.ConverterCollection
implements java.util.Set, java.io.Serializable

A Converter Set views an underlying Set through a Converter.

Field Summary

Fields inherited from class com.tangosol.util.ConverterCollections.ConverterCollection
`m_col, m_convDown, m_convUp`

Constructor Summary
`ConverterCollections.ConverterSet(java.util.Set set, Converter convUp, Converter convDown)` Constructor.

Method Summary

Methods inherited from class com.tangosol.util.ConverterCollections.ConverterCollection
`add, addAll, clear, contains, containsAll, equals, getCollection, getConverterDown, getConverterUp, instantiateCollection, instantiateIterator, invalidate, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ConverterCollections.ConverterSet

    public ConverterCollections.ConverterSet(java.util.Set set,
                                             Converter convUp,
                                             Converter convDown)

  Constructor.
  Parameters:
    `set` - the underlying Set
    `convUp` - the Converter from the underlying Set
    `convDown` - the Converter to the underlying Set

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.